import request from '@/utils/request'

// 查询短信发送记录列表
export function listCompanySmsLogs(query) {
  return request({
    url: '/company/companySmsLogs/list',
    method: 'get',
    params: query
  })
}

// 查询短信发送记录详细
export function getCompanySmsLogs(logsId) {
  return request({
    url: '/company/companySmsLogs/' + logsId,
    method: 'get'
  })
}

// 新增短信发送记录
export function addCompanySmsLogs(data) {
  return request({
    url: '/company/companySmsLogs',
    method: 'post',
    data: data
  })
}

// 修改短信发送记录
export function updateCompanySmsLogs(data) {
  return request({
    url: '/company/companySmsLogs',
    method: 'put',
    data: data
  })
}

// 删除短信发送记录
export function delCompanySmsLogs(logsId) {
  return request({
    url: '/company/companySmsLogs/' + logsId,
    method: 'delete'
  })
}

// 导出短信发送记录
export function exportCompanySmsLogs(query) {
  return request({
    url: '/company/companySmsLogs/export',
    method: 'get',
    params: query
  })
}